.gros-bouton {

    --couleur: var(--bg-5);

    position: relative;
    max-height: 100%;
    // height: 100%;
    height: 45px;
    margin: 2px;
    box-sizing: border-box;
    background: transparent;
    border-radius: 5px;
    padding: 0px;
    color: var(--fg);
    font-weight: bold;
    font-size: 11pt;
    border: none;
    transition: ease all .1s;
    
    .btn-cont {

        height: 100%;
        // width: max-content;
        width: 100%;
        display: flex;
        align-items: center;
        text-align: center;
        background: transparent;
        box-sizing: border-box;
        border: 1px solid var(--couleur);
        border-bottom-width: 6px;
        border-radius: 5px;
	    transition: ease all .1s;

        .icon {
            height: 100%;
            box-sizing: border-box;
            max-height: 100%;
            //padding: 2px;
            position: relative;
            display: flex;
            align-items: center;

            img { height: 35px; box-sizing: border-box; user-select: none; pointer-events: none; &.none { display: none; } }

        }

        .text {
            padding-left: 5px;
            padding-right: 7px;
            user-select: none;
        }

    }

    &:hover, &.hover {
        .btn-cont { 
            background: var(--bg-2);
        }
    }
    &.hover {
        .btn-cont {
            box-shadow: 0 0 5px 5px var(--bg-3);
        }        
    }
    &:active, &.active {
        padding-top: 5px;
        .btn-cont {
            background: var(--bg-1);
            border-bottom-width: 1px;
        }
    }

    &.primary { 
        --couleur: var(--theme);
    }
    &.danger {
        --couleur: red;
    }
    &.warn {
        --couleur: gold;
    }
    &.alt {
        --couleur: var(--theme-s2);
    }

    &:disabled {
        pointer-events: none;
        color: var(--bg-5);
        .btn-cont {
            border-color: var(--bg-5);
            img { filter: saturate(0); }
        }
    }

}
